%define debug_package %{nil}
%define oname	ASCO

Name:		asco
Summary:	A SPICE Circuit Optimizer
Version:	0.4.9
Release:	%mkrel 5
License:	GPLv2
Group:		Sciences/Other
URL:		http://asco.sourceforge.net/
Source0:	http://download.sourceforge.net/asco/ASCO-%{version}.tar.gz
# From qucs upstream
Patch0:		patch_asco_unbuffer.diff
BuildRequires:	openmpi-devel

%description
ASCO project aims to bring circuit optimization capabilities to existing
SPICE simulators using a high-performance parallel differential evolution
(DE) optimization algorithm.

Currently out-of-the-box support for Eldo (TM), HSPICE (R), LTspice (TM),
Spectre (R), Qucs and ngspice exist.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

# autotools support
tar -zxf Autotools.tar.gz

# to make autoreconf happy
touch NEWS

# more happiness
sed -i -e 's,\(no-define\),\1 subdir-objects,g' configure.ac

%build
autoreconf -vfi
%configure2_5x
%make

%install
%makeinstall_std

# clean examples
rm -rf examples/Makefile*

%files
%doc README doc/ASCO.pdf
%doc examples
%{_bindir}/alter
%{_bindir}/asco
%{_bindir}/asco-mpi
%{_bindir}/asco-test
%{_bindir}/log
%{_bindir}/monte
%{_bindir}/postp
%{_bindir}/rosen



%changelog
* Wed Feb 10 2016 umeabot <umeabot> 0.4.9-5.mga6
+ Revision: 953106
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 0.4.9-4.mga6
+ Revision: 874928
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.4.9-3.mga5
+ Revision: 739607
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.9-2.mga5
+ Revision: 677916
- Mageia 5 Mass Rebuild

* Sun Mar 02 2014 wally <wally> 0.4.9-1.mga5
+ Revision: 598543
- add patch from qucs developers to unbuffer stdout
- imported package asco

